import '../../css/customButton.css'
import { useNavigate } from 'react-router-dom';

function BlackButton({ text , to="/", onClick })  {
  const navigate = useNavigate();

  const handleClick = (e) => {
    if (onClick) {
      onClick(e);
    }
    if (!e.defaultPrevented && to) {
      navigate(to, { replace: true });
    }
  };

  return(
        <button className='gray' onClick={handleClick}>{text}</button>
  )
}

export default BlackButton
